# <Copyright and license information goes here.>
from PyQt4.QtCore import *
from PyQt4.QtGui import *
from PyKDE4.plasma import Plasma
from PyKDE4 import plasmascript
from PyKDE4.kdeui import KIcon

class browser (plasmascript.Applet):
    def __init__ (self,parent,args=None):
        plasmascript.Applet.__init__ (self,parent)
 
    def init (self):
        self.setAspectRatioMode (Plasma.IgnoreAspectRatio)
        self.setHasConfigurationInterface (False)

        self.__layout = QGraphicsLinearLayout (Qt.Vertical, self.applet)
        self.__layout.setSizePolicy (QSizePolicy.Expanding, QSizePolicy.Expanding)
        self.applet.setLayout (self.__layout)

        self.__scrollView = Plasma.ScrollWidget (self.applet)
        self.__scrollView.setHorizontalScrollBarPolicy (Qt.ScrollBarAlwaysOff)
        self.__scrollView.setVerticalScrollBarPolicy (Qt.ScrollBarAlwaysOn)
 
        item = Plasma.IconWidget (KIcon ("xorg"), "", self.applet)

        self.__layout.addItem(self.__scrollView) 
        self.__layout.addItem(item)

        self.__view = QGraphicsWidget (self.applet)
        self.__gridLayout = QGraphicsGridLayout (self.__view)
        self.__gridLayout.setSizePolicy (QSizePolicy.Expanding, QSizePolicy.Expanding)

        self.__scrollView.setWidget (self.__view)

        self.resize (QSizeF (625.0,625.0))
    
        print self.__view.geometry ()
        print self.__gridLayout.geometry ()

def CreateApplet (parent):
    return browser (parent)
